import { LitElement } from 'lit';
export declare const ICON_GUILDED = "icon-guilded";
export declare class IconGuildedComponent extends LitElement {
    static readonly defaultTagName = "icon-guilded";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
